odf.element.Node Class Reference

super class for more specific nodes More...

Inheritance diagram for odf.element.Node:
[legend]
Collaboration diagram for odf.element.Node:
[legend]

## Public Member Functions

def | hasChildNodes (self)
| Tells whether this element has any children; text nodes, subelements, whatever. More...
def | insertBefore (self, newChild, refChild)
| Inserts the node newChild before the existing child node refChild. More...
def | appendChild (self, newChild)
| Adds the node newChild to the end of the list of children of this node. More...
def | removeChild (self, oldChild)
| Removes the child node indicated by oldChild from the list of children, and returns it. More...
def | __str__ (self)
def | __unicode__ (self)

## Static Public Attributes

| parentNode = None
| nextSibling = None
| previousSibling = None

## Detailed Description

super class for more specific nodes

Definition at line 159 of file element.py.

## Member Function Documentation

## __str__()

def odf.element.Node.__str__ | ( |  | self | ) |

Definition at line 250 of file element.py.

## __unicode__()

def odf.element.Node.__unicode__ | ( |  | self | ) |

Definition at line 256 of file element.py.

## appendChild()

def odf.element.Node.appendChild | ( |  | self,
|  |  | newChild
| ) |  |

Adds the node newChild to the end of the list of children of this node.

If the newChild is already in the tree, it is first removed.

Definition at line 217 of file element.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## hasChildNodes()

def odf.element.Node.hasChildNodes | ( |  | self | ) |

Tells whether this element has any children; text nodes, subelements, whatever.

Definition at line 168 of file element.py.

## insertBefore()

def odf.element.Node.insertBefore | ( |  | self,
|  |  | newChild,
|  |  | refChild
| ) |  |

Inserts the node newChild before the existing child node refChild.

If refChild is null, insert newChild at the end of the list of children.

Definition at line 189 of file element.py.

Here is the call graph for this function:

## removeChild()

def odf.element.Node.removeChild | ( |  | self,
|  |  | oldChild
| ) |  |

Removes the child node indicated by oldChild from the list of children, and returns it.

Definition at line 234 of file element.py.

## Member Data Documentation

## nextSibling

odf.element.Node.nextSibling = None

static

Definition at line 161 of file element.py.

## parentNode

odf.element.Node.parentNode = None

static

Definition at line 160 of file element.py.

## previousSibling

odf.element.Node.previousSibling = None

static

Definition at line 162 of file element.py.

The documentation for this class was generated from the following file:

- odf/element.py